Subject: How to compile the binutils-2.13.2.1.tar.gz build for mips

From: "Li Shishan" <[email-masked]>
Date: Sat, 4 Sep 2004 17:07:30 +0800

Hi All:

           I try to build toolchain for big-endian mips , But the first step , When I building the binutils , some troubles happened. Can each of all help me resolve it.
The step I followed like below:

       gzip -cd binutils-<version>.tar.gz | tar xf -
    cd binutils-<version>
    patch -p1 < ../binutils-<version>-mips.patch
    ./configure --prefix=<prefix> --target=<target>
    make CFLAGS=-O2

 But ,I make it not success, there some comple error:

  gcc -W -Wall -Wstrict-prototypes -Wmissing-prototypes -g -O2 -o objdump objdump.o      budemang.o prdbg.o rddbg.o debug.o stabs.o ieee.o rdcoff.o bucomm.o version.o filemode.o  ../opcodes/.libs/libopcodes.a ../bfd/.libs/libbfd.a ../libiberty/libiberty.a
bucomm.o(.text+0x3f6): In function `make_tempname':
/home/liss/bmips/binutils-2.13.2.1/binutils/bucomm.c:238: warning: the use of `mktemp' is dangerous, better use `mkstemp'
../libiberty/libiberty.a(cp-demangle.o)(.text+0xd64): In function `demangle_identifier':
/home/liss/bmips/binutils-2.13.2.1/libiberty/cp-demangle.c:1486: undefined reference to `__ctype_b'
collect2: ld returned 1 exit status
make[3]: *** [objdump] Error 1
make[3]: Leaving directory `/home/liss/bmips/binutils-2.13.2.1/binutils'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/liss/bmips/binutils-2.13.2.1/binutils'
make[1]: *** [all-recursive-am] Error 2
make[1]: Leaving directory `/home/liss/bmips/binutils-2.13.2.1/binutils'
make: *** [all-binutils] Error 2

  I think the source code is some error,but when I download the binutils2.14 ,binutils2.15 ,the error all exit.  So I cann't know what's wrong with it,the source is wrong ? or my operation isn't right.
  
   Hoping for anybody reply to me ,very thanks.   

your sincerely liss
2004.09.04  17:07